Loading...
Searching...
No Matches
BALL::MMFF94AtomType Struct Reference

Class to store the values of an atom type from MMFFPROP.PAR. More...

`#include <BALL/MOLMEC/MMFF94/MMFF94Parameters.h>`

## Public Member Functions

| MMFF94AtomType ()

## Public Attributes

Position | aspec
| atomic number;
Position | crd
| necessary number of bonded neighbours
Position | val
| number of bonds made to this atom type
bool | pilp
| has pi lone pair electrons
Position | mltb
bool | arom
| is aromatic
bool | lin
| has linear bond
bool | sbmb
| can have a delocalized single bond
bool | valid
| Is this a valid MMFF94 atom type?

## Detailed Description

Class to store the values of an atom type from MMFFPROP.PAR.

Definition at line 117 of file MMFF94Parameters.h.

## Constructor & Destructor Documentation

## MMFF94AtomType()

BALL::MMFF94AtomType::MMFF94AtomType | ( |  | ) |

## Member Data Documentation

## arom

bool BALL::MMFF94AtomType::arom

is aromatic

Definition at line 140 of file MMFF94Parameters.h.

## aspec

Position BALL::MMFF94AtomType::aspec

atomic number;

Definition at line 123 of file MMFF94Parameters.h.

## crd

Position BALL::MMFF94AtomType::crd

necessary number of bonded neighbours

Definition at line 126 of file MMFF94Parameters.h.

## lin

bool BALL::MMFF94AtomType::lin

has linear bond

Definition at line 143 of file MMFF94Parameters.h.

## mltb

Position BALL::MMFF94AtomType::mltb

double(2) or triple(3) bonds are expected 1 cases with intermediate hypridization

Definition at line 137 of file MMFF94Parameters.h.

## pilp

bool BALL::MMFF94AtomType::pilp

has pi lone pair electrons

Definition at line 132 of file MMFF94Parameters.h.

## sbmb

bool BALL::MMFF94AtomType::sbmb

can have a delocalized single bond

Definition at line 146 of file MMFF94Parameters.h.

## val

Position BALL::MMFF94AtomType::val

number of bonds made to this atom type

Definition at line 129 of file MMFF94Parameters.h.

## valid

bool BALL::MMFF94AtomType::valid

Is this a valid MMFF94 atom type?

Definition at line 149 of file MMFF94Parameters.h.